Loading...
Searching...
No Matches
caf::detail::shared_spinlock Class Reference

A spinlock implementation providing shared and exclusive locking. More...

`#include <shared_spinlock.hpp>`

## Public Member Functions

void | lock ()
void | unlock ()
bool | try_lock ()
void | lock_shared ()
void | unlock_shared ()
bool | try_lock_shared ()
void | lock_upgrade ()
void | unlock_upgrade ()
void | unlock_upgrade_and_lock ()
void | unlock_and_lock_upgrade ()

## Detailed Description

A spinlock implementation providing shared and exclusive locking.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/shared_spinlock.hpp